<div>
  <v-card class="ui-card pb-10">
    <v-skeleton-loader class="mx-auto mt-10" width="100%" type="card" v-if="loadingTable">
    </v-skeleton-loader>
    <v-simple-table class="scrollTable c-pointer" fixed-header v-else>
      <template v-slot:default>
        <thead>
          <tr>
            <th class="table-head" style="width: 100px">
              <div class="d-flex align-center">
                <p class="mb-0 captionOverline colorGreyHeaderTable">
                  Domain
                </p>
              </div>
            </th>
            <th class="table-head text-left">
              <div style="width: 400px">
                <p class="mb-0 captionOverline colorGreyHeaderTable">
                  Store Name
                </p>
              </div>
            </th>
            <th class="table-head text-left">
              <div>
                <p class="mb-0 captionOverline colorGreyHeaderTable">
                  Support Email
                </p>
              </div>
            </th>
            <th class="table-head text-left">
              <div>
                <p class="mb-0 captionOverline colorGreyHeaderTable">
                  Abandon
                </p>
              </div>
            </th>
            <th class="table-head text-left">
              <div>
                <p class="mb-0 captionOverline colorGreyHeaderTable">
                  Status
                </p>
              </div>
            </th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(store,i) in listStore" :key="store._id">
            <td class="py-3">
              <p class="mb-0 text-sm font-semibold text-blue-500">
                {{store.domain && convertDomain(store.domain)}}
              </p>
            </td>
            <td class="py-3">
              <p class="mb-0 text-sm  text-neutral-900">
                {{store.storeName}}
              </p>
            </td>
            <td class="py-3">
              <p class="mb-0 text-sm  text-neutral-900">
                {{store.supportEmail}}
              </p>
            </td>
            <td class="py-3">
              <v-switch inset class="mt-0" v-model="store.isOpenAbandoned" readonly></v-switch>
            </td>
            <td class="py-3">
              <div v-if="store.status === 'pending'"
                class="bg-orange-100 rounded-lg py-0.5 px-2 flex items-center w-20">
                <v-icon color="#FB8C00" size="10">
                  mdi-circle
                </v-icon>
                <p class="mb-0 ml-2 text-xs font-medium text-orange-500">
                  Pending
                </p>
              </div>
              <div v-if="store.status === 'active'" class="bg-green-100 rounded-lg py-0.5 px-2 flex items-center w-20">
                <v-icon color="#12B76A" size="16">
                  mdi-check
                </v-icon>
                <p class="mb-0 ml-2 text-xs font-medium text-green-500">
                  Active
                </p>
              </div>
              <div v-if="store.status === 'close'" class="bg-gray-100 rounded-lg py-0.5 px-2 flex items-center w-20">
                <v-icon color="#6E7C87" size="16">
                  mdi-eye-off-outline
                </v-icon>
                <p class="mb-0 ml-2 text-xs font-medium text-gray-500">
                  Hidden
                </p>
              </div>
            </td>
          </tr>
        </tbody>
      </template>
    </v-simple-table>
    <div class="d-flex justify-center ma-4" v-if="listStore.length == 0 && !loadingTable">
      <div>
        <div class="d-flex align-center justify-center">
          <img src="~/assets/images/payment/no-payment.png" alt="" width="136" height="136">
        </div>
        <p class="mb-0 mt-4 text-center text-sm text-gray-500 font-semibold">
          No Store
        </p>
        <p class="mb-0 text-center text-xs text-gray-500">
          Add a new store now
        </p>
      </div>
    </div>
    <div class="text-center mt-4 pb-2 d-sm-flex align-center justify-center" v-if="listStore.length && !loadingTable">
      <v-pagination v-model="config.page" :length="totalPage" :total-visible="5" class="pagination">
      </v-pagination>
      <div id="hideBottomInput" class="input-gotopage pos-relative px-3 px-sm-0 mt-3 mt-sm-0">
        <v-text-field dense outlined v-model.number="page" placeholder="Go to page">
        </v-text-field>
        <div class="button-inside-input">
          <v-btn height="36px" color="#076CE3" class="px-0 button-inside-input__button elevation-0"
            @click="onRedirectPage()">
            <v-icon color="#ffffff">
              mdi-chevron-right
            </v-icon>
          </v-btn>
        </div>
      </div>
    </div>
  </v-card>
</div>